Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Class CapabilitiesSupport

    java.lang.Object
      com.bbn.openmap.image.wms.CapabilitiesSupport

All Implemented Interfaces:
  ImageServerConstants, WMTConstants

public class CapabilitiesSupport
extends java.lang.Object
implements ImageServerConstants

Version:
  $Header: /cvs/CVS_LEBA/external/openmap/openmap/src/openmap/com/bbn/openmap/wms/CapabilitiesSupport.java,v 1.1 2006/03/21 10:27:54 tomrak Exp $
Author:
  pitek

Field Summary
`static int` | `FMT_EXCEPTIONS`
`static int` | `FMT_GETCAPS`
`static int` | `FMT_GETFEATUREINFO`
`static int` | `FMT_GETMAP`
`static int` | `FMT_MAIN`
`static java.lang.String` | `WMSPrefix`

Fields inherited from interface com.bbn.openmap.image.ImageServerConstants
`AZIMUTH, LAT, LAYERMASK, LAYERS, LON, PAN, PROJTYPE, QUERY, RECENTER, SCALE, X, Y`

Fields inherited from interface com.bbn.openmap.image.WMTConstants
`BBOX, BGCOLOR, CAPABILITIES, CRS, EXCEPTIONS, FORMAT, GETCAPABILITIES, GETFEATUREINFO, GETMAP, HEIGHT, IMAGEFORMAT_GEOTIFF, IMAGEFORMAT_GIF, IMAGEFORMAT_JPEG, IMAGEFORMAT_PNG, IMAGEFORMAT_PPM, IMAGEFORMAT_SVG, IMAGEFORMAT_TIFF, IMAGEFORMAT_WBMP, INFO_FORMAT, MAP, QUERY_LAYERS, REQUEST, SERVICE, SRS, STYLES, TRANSPARENT, VERSION, WIDTH, WMTVER`

Constructor Summary
`CapabilitiesSupport(java.util.Properties props, java.lang.String scheme, java.lang.String hostName, int port, java.lang.String path)` Creates a new instance of CapabilitiesSupport

Method Summary
`void` | `addLayer(IWmsLayer wmsLayer)`
`java.lang.String` | `generateXMLString()` Generate String out of the XML document object
`void` | `incUpdateSequence()`
`boolean` | `setFormats(int request, java.util.List formats)`
`void` | `setKeywords(java.util.List keywordsList)`
`void` | `setLayersTitle(java.lang.String title)`
`boolean` | `setOnlineResource(int which, java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WMSPrefix

    public static final java.lang.String WMSPrefix

See Also:
  Constant Field Values

### FMT_GETCAPS

    public static final int FMT_GETCAPS

See Also:
  Constant Field Values

### FMT_GETMAP

    public static final int FMT_GETMAP

See Also:
  Constant Field Values

### FMT_GETFEATUREINFO

    public static final int FMT_GETFEATUREINFO

See Also:
  Constant Field Values

### FMT_EXCEPTIONS

    public static final int FMT_EXCEPTIONS

See Also:
  Constant Field Values

### FMT_MAIN

    public static final int FMT_MAIN

See Also:
  Constant Field Values

Constructor Detail

### CapabilitiesSupport

    public CapabilitiesSupport(java.util.Properties props,
                               java.lang.String scheme,
                               java.lang.String hostName,
                               int port,
                               java.lang.String path)
                        throws WMSException

  Creates a new instance of CapabilitiesSupport

Method Detail

### incUpdateSequence

    public void incUpdateSequence()

### setFormats

    public boolean setFormats(int request,
                              java.util.List formats)

  Parameters:
    `request` -
    `formats` -
  Returns:

### setOnlineResource

    public boolean setOnlineResource(int which,
                                     java.lang.String url)

  Parameters:
    `which` -
    `url` -
  Returns:

### setKeywords

    public void setKeywords(java.util.List keywordsList)

  Parameters:
    `keywordsList` -
  Returns:

### addLayer

    public void addLayer(IWmsLayer wmsLayer)

### setLayersTitle

    public void setLayersTitle(java.lang.String title)

### generateXMLString

    public java.lang.String generateXMLString()
                                       throws java.io.IOException,
                                              javax.xml.transform.TransformerConfigurationException,
                                              javax.xml.transform.TransformerException

  Generate String out of the XML document object

  Throws:
    `IOException,` - TransformerException, TransformerConfigurationException
    `java.io.IOException`
    `javax.xml.transform.TransformerConfigurationException`
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details